# TdApi.GetGameHighScores (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: GetGameHighScores

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetGameHighScores

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.GameHighScores>
it.tdlight.jni.TdApi.GetGameHighScores

Enclosing class:
  TdApi

public static final class TdApi.GetGameHighScores extends TdApi.Function<TdApi.GameHighScores>
Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only. Returns `GameHighScores`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
The chat that contains the message with the game.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Identifier of the message.
`long`
`userId`
User identifier.

## Constructor Summary

Constructors
Constructor
Description
`GetGameHighScores()`
Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only.
`GetGameHighScores(long chatId, long messageId, long userId)`
Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only.
`GetGameHighScores(DataInput input)`
Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The chat that contains the message with the game.

### messageId

public long messageId
Identifier of the message.

### userId

public long userId
User identifier.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetGameHighScores

public GetGameHighScores()
Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only. Returns `GameHighScores`

### GetGameHighScores

public GetGameHighScores(long chatId, long messageId, long userId)
Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only. Returns `GameHighScores`

Parameters:
  `chatId` - long The chat that contains the message with the game.
  `messageId` - long Identifier of the message.
  `userId` - long User identifier.

### GetGameHighScores

public GetGameHighScores(DataInput input) throws IOException
Returns the high scores for a game and some part of the high score table in the range of the specified user; for bots only. Returns `GameHighScores`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`